<div class="overlay" v-on:click="closeModal($event)">
    <div class="modal row row-ie"  :class="$root.rtl ? 'rtl' : ''">
        <div class="modal-close" :class="$root.rtl ? 'modal-close-rtl' : ''" v-on:click.stop="closeModal($event)">
            <img class="modal-close-img" src="@assets/svg/close.svg">
        </div>
        <ModalCheckStatus v-if="$root.modals.component == 'checkstatus'"></ModalCheckStatus>

        <ModalError v-if="$root.modals.component == 'modalError'"
                    :text="$root.modals.body"
        ></ModalError>

        <ModalBigSize v-if="$root.modals.component == 'modalBigSize'"
                    :text="$root.modals.body"
        ></ModalBigSize>

        <ModalStepRequestError
            v-if="$root.modals.component == 'modalStepRequestError'"
            :request="$root.modals.requestFunc"
        ></ModalStepRequestError>

        <ModalSuccess v-if="$root.modals.component == 'modalSuccess'"
              :number="$root.modals.body"
        ></ModalSuccess>

        <ModalPaymentResult v-if="$root.modals.component == 'ModalPaymentResult'"
                      :text="$root.modals.body"
        ></ModalPaymentResult>

    </div>
</div>
